> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/commander-cli/command-reference/enterprise-management-commands/breachwatch-commands.md).

# Breachwatch Commands

How to use Breachwatch Dark Web scanning in Keeper Commander

## Commands

| Command       | Description                                                 |
| ------------- | ----------------------------------------------------------- |
| `breachwatch` | Run a Breachwatch dark web scan of your records or password |

### Breachwatch Command

{% hint style="info" %}
Requires the [Breachwatch](/enterprise-guide/breachwatch.md) addon
{% endhint %}

**Command:** `breachwatch` or `bw`

**Detail**: Run a Breachwatch dark web scan of your records or password

**Actions**:

`list` Displays a list of breached passwords

* `--all`, `-a` display all breached passwords (including ignored) -- **note**: if this flag is omitted, only the first 30 records are shown if the total count exceeds 32
* `--owned`, `-o` display only breached records owned by user

`ignore <UID>` Ignores breached passwords. Accepts multiple passwords separated by a space

`password <password>` Check a password against our database of breached accounts. Accepts multiple passwords separated by a space

`scan` Perform a Breachwatch scan

`report` Run a Breachwatch security report for users in your enterprise (Equivalent to [`security-audit-report --breachwatch`](/keeperpam/commander-cli/command-reference/reporting-commands.md#security-audit-report-command); Valid only for enterprise admin accounts)

**Examples:**

```
breachwatch
breachwatch scan
breachwatch list
bw password n5@x85tG#gH7& my_dog_21
bw ignore qUX4gSrtDRfM1Kq9lrQi-w
bw report
```

1. See a summary of Breachwatch commands
2. Run a Breachwatch dark web scan and show which passwords are breached
3. List any records which have been marked as breached (and not ignored)
4. Check the passwords "n5\@x85tG#gH7&" and "my*dog*21" for breaches using Breachwatch
5. Ignore the breached record with the given UID
6. Run a Breachwatch security report on users in your enterprise (only for admin accounts)

#### Automatic Scans

If Breachwatch is enabled for your Keeper account, a Breachwatch scan is performed automatically when you login to Keeper Commander.

Additionally, if you create or edit a record, a scan is automatically performed on the record.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/keeperpam/commander-cli/command-reference/enterprise-management-commands/breachwatch-commands.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
